Subject: [Geopriv] FW: Serious concerns about security of draft-ietf-geopriv-held-identity-extensions

From: "Thomson, Martin" <[email-masked]>
Date: Mon, 9 Nov 2009 13:40:29 +0800

FW: Thread is getting too big.

From: Thomson, Martin
Sent: Monday, 9 November 2009 2:11 PM
To: Dawson, Martin; Bernard Aboba; [email-masked]; [email-masked]
Subject: RE: [Geopriv] Serious concerns about security of draft-ietf-geopriv-held-identity-extensions

Semantic fluff?  If you like.

I was trying to be precise in definitions – such things are important in understanding the decisions that people make with respect to policy.  Being able to recognize that you are making a policy decision is the first part in then understanding the implications of that decision.

If the LIS can determine that the requester and target are the same – to its satisfaction, and I wont define what that means ;) – then it can use LCP policy; otherwise the security of the system demands that it operate on another policy.  That is the crux of Cullen’s complaint.  However, if no such alternative policy exists, then it cannot provide location.  That’s what the draft says.

--Martin

From: Dawson, Martin
Sent: Monday, 9 November 2009 1:53 PM
To: Thomson, Martin; Bernard Aboba; [email-masked]; [email-masked]
Subject: RE: [Geopriv] Serious concerns about security of draft-ietf-geopriv-held-identity-extensions

Well sure – which is to say “it’s all semantic fluff”.

The device is asking for its own location – and providing an identity value that will help with that process. I haven’t seen the actual mathematical proof that says that isn’t LCP but… sure… I’ll take your word for it. There are certainly rule makers at play somewhere.

Cheers,
Martin